#ifndef _UDMA_H_
#define _UDMA_H_

#ifdef __cplusplus
extern "C" {
#endif

enum mem_type {
    NORMAL,
    HUGEPAGE,
};

int udma_init(int type, int id);
void udma_destroy(void);
void *udma_alloc(unsigned long size, unsigned long align, short node, enum mem_type mt);
void udma_free(void *addr);
unsigned long long udma_virt2dma(void *addr);
void *udma_alloc_sva(unsigned long size, unsigned long align);
void udma_free_sva(void *addr);

#ifdef __cplusplus
}
#endif
#endif
